Bug 1603993 - fossil: FTBFS in Fedora rawhide
Summary: fossil: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fossil
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Divya Cote
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 19:49 UTC by Mohan Boddu
Modified: 2019-07-13 01:06 UTC (History)
2 users (show)

Fixed In Version: fossil-2.8-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-13 01:06:34 UTC
Type: ---


Attachments (Terms of Use)
build.log (3.64 KB, text/plain)
2018-07-19 19:50 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-19 19:50 UTC, Mohan Boddu
no flags Details
state.log (607 bytes, text/plain)
2018-07-19 19:50 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 19:49:56 UTC
fossil failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28177485


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix fossil at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
fossil will be orphaned. Before branching of Fedora 30,
fossil will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 19:50:02 UTC
Created attachment 1461990 [details]
build.log

Comment 2 Mohan Boddu 2018-07-19 19:50:05 UTC
Created attachment 1461991 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 19:50:07 UTC
Created attachment 1461992 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:41:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Fedora Update System 2019-07-04 17:29:24 UTC
FEDORA-2019-f350634b40 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f350634b40

Comment 6 Fedora Update System 2019-07-05 00:46:03 UTC
fossil-2.8-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f350634b40

Comment 7 George Petasis 2019-07-10 17:21:11 UTC
I have tested fossil-2.8-1.fc30 on Fedora 30, and it works as expected. It reports version 2.8.

Thank you very much for updating the fossil version to the latest released.

Comment 8 Fedora Update System 2019-07-13 01:06:34 UTC
fossil-2.8-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.